Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Sync_Scope_Policy Class Reference

`#include <Messaging_Policy_i.h>`

Inheritance diagram for TAO_Sync_Scope_Policy:

[legend]
Collaboration diagram for TAO_Sync_Scope_Policy:

[legend]
List of all members.

## Public Methods
| TAO_Sync_Scope_Policy (Messaging::SyncScope synchronization)
| Constructor. More...
| TAO_Sync_Scope_Policy (const TAO_Sync_Scope_Policy &rhs)
| Copy constructor. More...
virtual TAO_Sync_Scope_Policy * | clone (void) const
| Returns a copy of <this>. More...
virtual Messaging::SyncScope | synchronization (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
void | get_synchronization (Messaging::SyncScope &synchronization) const
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
## Static Public Methods
void | hook (TAO_ORB_Core *orb_core, TAO_Stub *stub, int &has_synchronization, int &scope)
| Implement the Sync_Scope hook, this is set in the ORB_Core at initialization time. More...
CORBA::Policy_ptr | create (const CORBA::Any &val ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Helper method for the implementation of CORBA::ORB::create_policy. More...
## Private Attributes
Messaging::SyncScope | synchronization_
| The attribute. More...

## Constructor & Destructor Documentation

TAO_Sync_Scope_Policy::TAO_Sync_Scope_Policy | ( | Messaging::SyncScope | synchronization | ) |

| Constructor.

TAO_Sync_Scope_Policy::TAO_Sync_Scope_Policy | ( | const TAO_Sync_Scope_Policy & | rhs | ) |

| Copy constructor.

## Member Function Documentation

TAO_Cached_Policy_Type TAO_Sync_Scope_Policy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

TAO_Sync_Scope_Policy * TAO_Sync_Scope_Policy::clone | ( | void |  | ) | const`[virtual]`

| Returns a copy of <this>.

CORBA::Policy_ptr TAO_Sync_Scope_Policy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::Policy_ptr TAO_Sync_Scope_Policy::create | ( | const CORBA::Any &val | ACE_ENV_ARG_DECL | ) | `[static]`

| Helper method for the implementation of CORBA::ORB::create_policy.

void TAO_Sync_Scope_Policy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_Sync_Scope_Policy::get_synchronization | ( | Messaging::SyncScope & | synchronization | ) | const

void TAO_Sync_Scope_Policy::hook | ( | TAO_ORB_Core * | orb_core,
|  | TAO_Stub * | stub,
|  | int & | has_synchronization,
|  | int & | scope
| ) | `[static]`

| Implement the Sync_Scope hook, this is set in the ORB_Core at initialization time.

CORBA::PolicyType TAO_Sync_Scope_Policy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

Messaging::SyncScope TAO_Sync_Scope_Policy::synchronization | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

Messaging::SyncScope TAO_Sync_Scope_Policy::synchronization_`[private]`

| The attribute.

The documentation for this class was generated from the following files:

- Messaging_Policy_i.h
- Messaging_Policy_i.cpp